INCLUDES    = $(all_includes)

# Needed to catch DOM exceptions
KDE_CXXFLAGS = $(USE_EXCEPTIONS)

# Install this plugin in the KDE modules directory
kde_module_LTLIBRARIES = libdomtreeviewerplugin.la

libdomtreeviewerplugin_la_SOURCES = 	plugin_domtreeviewer.cpp \
					domtreeview.cpp \
					domlistviewitem.cpp
libdomtreeviewerplugin_la_LIBADD  = $(LIB_KPARTS) $(LIB_KHTML)
libdomtreeviewerplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)

pluginsdir   = $(kde_datadir)/khtml/kpartplugins
plugins_DATA = plugin_domtreeviewer.rc
METASOURCES = AUTO
KDE_ICON = domtreeviewer

datadir = $(kde_appsdir)/.hidden
data_DATA = domtreeviewerplugin.desktop

messages: rc.cpp
	$(XGETTEXT) *.cpp *.h -o $(podir)/domtreeviewer.pot

